Trying to install 2017.2 on vagrant/VirtualBox/Ubuntu and getting an error.

I am trying to install cache 2017.2 on vagrant/VirtualBox and Ubuntu. I have tried both Linux precise64 3.2.0-23-generic #36-Ubuntu and Linux vagrant-ubuntu-trusty-64 3.13.0-137-generic #186-Ubuntu. I am getting an error that i can’t figure out. I have done this:

sudo apt-get install build-essential
sudo apt-get install software-properties-common python-software-properties
sudo add-apt-repository ppa:ubuntu-toolchain-r/test
sudo apt-get install libstdc++6
sudo apt-get install gcc-4.9 g++-4.9
sudo apt-get update
sudo apt-get upgrade

Any ideas on what to do? Here is the output from the attempted install:

root@precise64:/opt/cache2017.2/cache-2017.2.0.744.0-lnxubuntux64# sudo bash cinstall

Warning: The installer can't find a platform in this distribution
supported by your system.

Searching for platforms that might install in unsupported mode...


     1) Ubuntu LTS (x64)

Enter the number for your system:  1

Your system type is 'Ubuntu LTS (x64)'.

Enter instance name <CACHE>: 

Enter a destination directory for the new instance.
Directory: /opt/cache2017.2

Select installation type.
    1) Development - Install Cache server and all language bindings
    2) Server only - Install Cache server
    3) Custom
Setup type <1>? 1

Disk blocks required  = 3707948
Disk blocks available = 148873544

Do you want to install Cache Unicode support <No>?  N

How restrictive do you want the initial Security settings to be?
"Minimal" is the least restrictive, "Locked Down" is the most secure.
    1) Minimal
    2) Normal
    3) Locked Down
Initial Security settings <1>? 1

What group should be allowed to start and stop
  this instance? vagrant

Cache did not detect a license key
in directory /opt/cache2017.2/mgr.
Do you want to enter a license key <No>?  N

Please review the installation options:
------------------------------------------------------------------
Instance name: CACHE
Destination directory: /opt/cache2017.2
Cache version to install: 2017.2.0.744.0
Installation type: Development
Unicode support: N
Initial Security settings: Minimal
User who owns instance: root
Group allowed to start and stop instance: vagrant
Effective group for Cache processes: cacheusr
Effective user for Cache SuperServer: cacheusr
SuperServer port: 1972
WebServer port: 57772
JDBC Gateway port: 62972
CSP Gateway: using built-in web server
Client components: all
------------------------------------------------------------------

Do you want to proceed with the installation <Yes>?  Y

Starting installation...

libcachebasic.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
libcachepm.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
libcachescanner.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
libcachemvbasic.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
libcachepp.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
libcachehtml.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
libcacheudl.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
libstudioassist.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
libtnodes.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
cachecolorhtml.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
libcacheobjectscript.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
libcachesqlsyn.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
libcachexmlsyn.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
libcachecss.so failed Couldn't find DLL [800401F8]
/opt/cache2017.2/bin/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
/usr/local/etc/cachesys/liblocalserviceinfo.so failed Couldn't find DLL [800401F8]
/usr/local/etc/cachesys/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
/usr/local/etc/cachesys/libserviceinfomanager.so failed Couldn't find DLL [800401F8]
/usr/local/etc/cachesys/libcachecom.so: symbol _ZTVNSt7__cxx1119basic_ostringstreamIcSt11char_traitsIcESaIcEEE, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference

Couldn't install all projects.

root@precise64:/opt/cache2017.2/cache-2017.2.0.744.0-lnxubuntux64# 
  • 0
  • 0
  • 170
  • 1
  • 1

Answers

2017.2 requires Xenial (16.04) and up which come with kernel 4.4 and up.

Your Ubuntu versions (precise and trusty) are older and the kernel versions are 3.* instead of 4.*

Conclusion is that you might be better off trying to install on a supported version of Ubuntu. 

 

HTH

Gerd

 

Thank you Gerd, all works fine with Xenial64.  I should have paid closer attention to the  details in the Intersystem Supported Platforms document.